Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 593896 - kickstart partition commands are being reordered on each profile update - SNIPPETS put last
kickstart partition commands are being reordered on each profile update - SNI...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Partha Aji
Petr Sklenar
:
Depends On:
Blocks: sat540-blockers
  Show dependency treegraph
 
Reported: 2010-05-19 21:39 EDT by Xixi
Modified: 2018-10-27 08:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 10:59:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xixi 2010-05-19 21:39:27 EDT
Description of problem:
When typing commands on the partitioning part of kickstarts in the satellite, each time we save they are being reordered, snippets always being put last.

Version-Release number of selected component (if applicable):
Red Hat Network (RHN) Satellite 5.3.0

How reproducible:
Always.

Steps to Reproduce:
1. create a snippet containing a partition line, e.g.,
  partition swap --recommended
2. add the snippet on the top of the partitionning field of a kickstart profile.
For example:
"$SNIPPET('spacewalk/1/partition')
partition /boot --fstype=ext3 --size=200
partition pv.01 --size=1000 --grow

volgroup myvg pv.01

logvol / --vgname=myvg --name=rootvol --size=1000 --grow"

3. click save.
 
Actual results:
The order has changed and the snippet has been moved to the bottom of the list of operations. E.g., -
"partition /boot --fstype=ext3 --size=200
partition pv.01 --size=1000 --grow

volgroup myvg pv.01

logvol / --vgname=myvg --name=rootvol --size=1000 --grow

$SNIPPET('spacewalk/1/partition')"

Expected results:
The order of the line is kept as it was inputted as it will impact the partition creation unless we get very detailed.

Additional info:
Comment 1 Partha Aji 2010-08-24 11:25:56 EDT
Should be resolved as of
http://git.fedorahosted.org/git/?p=spacewalk.git;a=commit;h=94dbe52d1e1c480d49dad13fdc1e1f0d9c2d2eea

To test this install the following rpms..
spacewalk-schema-1.2.5-1 or greater
spacewalk-java-1.2.14-1 or greater
Comment 2 Petr Sklenar 2010-10-08 07:57:00 EDT
procedure up to comment 0 leads to ks file:

partition swap --recommended

part /boot --fstype=ext3 --size=200 
part pv.01 --size=1000 --grow 
part swap --size=1000   --maxsize=2000 
volgroup myvg pv.01 
logvol / --vgname=myvg --name=rootvol --size=1000 --grow
--
which is OK, its in the same place like snippet
--
Verified with Satellite-5.4.0-RHEL5-re20101001.1
Comment 3 Tomas Lestach 2010-10-26 10:59:34 EDT
Partition Details were stored/displayed in the same order like entered.

STAGE VALIDATED on Satellite-5.4.0-RHEL5-re20101015.0.
Comment 4 Clifford Perry 2010-10-28 10:54:42 EDT
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.